<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Ausgaben\Markieren;

class MarkierenView extends \Kufer\KuferTools\Basis\View\ViewSight
{
  public function getTemplatePathRelative()
  {
    return 'basis/markieren.sgt';
  }

  protected function getHeaderDataModulArray()
  {
    $dm = new \Datamodul();
    $dm->tool = $this->viewModel->tool;
    $dm->action = $this->viewModel->action;
    $dm->label1 = $this->viewModel->label1;
    $dm->label2 = $this->viewModel->label2;

    return array($dm);
  }
}

class MarkierenViewModel
{
  public $label1;
  public $label2;
  public $tool;
  public $action;
}